--[[		NpcHide
]]--		by Kriptonite
local NpcHide = CreateFrame("Frame", "NpcHideFrame", nil)
local lastSetting = ""
local BlizzardTexture = "Interface\\MiniMap\\ObjectIconsAtlas"
local HideNPCTexture = "Interface\\AddOns\\HideNpcTracking\\ObjectIconsHide"
local HideFriendlyTexture = "Interface\\AddOns\\HideNpcTracking\\ObjectIconsHideFriendly"

SLASH_NPCHIDE1, SLASH_NPCHIDE2 = '/hide', '/hide';
local function slashhandler(msg, editbox)

	if (msg == 'npc') then
		Minimap:SetBlipTexture(HideNPCTexture)
		if editbox then print('Hiding NPCs') end
		_HideNPC.setting = msg
		_HideNPC.toggle = msg
	elseif (msg == 'friendly') then
		Minimap:SetBlipTexture(HideFriendlyTexture)
		if editbox then print('Hiding NPCs and friendly players') end
		_HideNPC.setting = msg
		_HideNPC.toggle = msg
	elseif (msg == 'reset') then
		Minimap:SetBlipTexture(BlizzardTexture)
		if editbox then print("Hiding settings reset") end
		_HideNPC.setting = msg
	elseif (msg == 'toggle') then
		toggle()
	else
		print('hidenpc: valid commands:')
		print('1: /hide npc')
		print('2: /hide friendly')
		print('3: /hide reset')
		print('4: /hide toggle')
	end
end

function toggle()

	if not _HideNPC.setting then
		slashhandler('npc',nil)
	elseif _HideNPC.setting == 'npc' or _HideNPC.setting == 'friendly' then
		slashhandler('reset',nil)
	elseif _HideNPC.setting == 'reset' then
		slashhandler(_HideNPC.toggle, nil)
	end
end
SlashCmdList["NPCHIDE"] = slashhandler;

local function onEvent(self, event, addonName, ...)
	
	if (event == "ADDON_LOADED" and addonName == "HideNpcTracking") then
	
		if _HideNPC and not _HideNPC["setting"] then
			
			_HideNPC = {
				["setting"] = "npc",
				["toggle"] = "npc"
			}
		end
	
		if _HideNPC == nil then
			_HideNPC = {
				["setting"] = "npc",
				["toggle"] = "npc"
			}
		end
		
		slashhandler(_HideNPC.setting, nil)
		
	end
	
end

NpcHide:RegisterEvent("ADDON_LOADED")
NpcHide:SetScript("OnEvent", onEvent)

